// ChangeMailApp.h
// This program uses the built in interface to the BeOS mail daemon in order
// download messages from a server other than the one currently stored in the
// email preferences. 

#ifndef CHANGE_MAIL_APP
#define CHANGE_MAIL_APP

#include <Application.h>
#include <E-mail.h>
#include <String.h>
#include <string.h>
#include <iostream.h>

class ChangeMailApp : public BApplication {
public:
	ChangeMailApp();
	void ArgvReceived(int32 argc, char **args);
	void ReadyToRun();
	void ChangeServerInfo();
	void CheckMail();
	void ChangeServerBack();
	
	mail_pop_account* cur_pop_account;
	mail_pop_account* new_pop_account;
	
	bool args_good;
};
#endif